com.google.cloud.dataflow.examples

## Class WordCount.FormatAsTextFn

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.SimpleFunction<KV<String,Long>,String>
  - - com.google.cloud.dataflow.examples.WordCount.FormatAsTextFn

All Implemented Interfaces:
  SerializableFunction<KV<String,Long>,String>, Serializable

Enclosing class:
  WordCount

    public static class WordCount.FormatAsTextFn
    extends SimpleFunction<KV<String,Long>,String>

A SimpleFunction that converts a Word and Count into a printable string.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FormatAsTextFn()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `apply(KV<String,Long> input)`

### Methods inherited from class com.google.cloud.dataflow.sdk.transforms.SimpleFunction

`getInputTypeDescriptor, getOutputTypeDescriptor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FormatAsTextFn

    public FormatAsTextFn()

### Method Detail

#### apply

    public String apply(KV<String,Long> input)